# Class GridColumnLabelProvider

ColumnLabelProvider
org.eclipse.nebula.jface.gridviewer.GridColumnLabelProvider

public class GridColumnLabelProvider extends ColumnLabelProvider
A label provider that provides hooks for extra functionality in the `Grid`. This is currently limited to supplying the row header text.

Only one from all `GridColumnLabelProvider` in a viewer should return a none `null`

## Constructor Summary

Constructors
Constructor
Description
`GridColumnLabelProvider()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnSpan(Object element)`
Returns the number of columns this element should span
`String`
`getRowHeaderText(Object element)`
Returns the row header text for this element.
`int`
`getRowSpan(Object element)`
Returns the number of rows this element should span
`void`
`update(ViewerCell cell)`

## Constructor Details

### GridColumnLabelProvider

public GridColumnLabelProvider()

## Method Details

### getRowHeaderText

public String getRowHeaderText(Object element)
Returns the row header text for this element.

Parameters:
  `element` - the model element
Returns:
  the text displayed in the row-header or `null` if this label provider would not like to modify the default text

### getColumnSpan

public int getColumnSpan(Object element)
Returns the number of columns this element should span

Parameters:
  `element` - the model element
Returns:
  colSpan

### getRowSpan

public int getRowSpan(Object element)
Returns the number of rows this element should span

Parameters:
  `element` - the model element
Returns:
  rowSpan

### update

public void update(ViewerCell cell)